Campaigns

Outbound calling and messaging campaigns. Retrieve campaign details, status, and configuration for your VoiceBot and Flow campaigns.

Endpoints

MethodEndpointDescriptionScope
GET/campaignsList campaigns with filterscampaigns:read
GET/campaigns/{id}Get a single campaign by IDcampaigns:read

Query Parameters

Available filters for GET /campaigns

ParameterTypeDescription
statusstringFilter by status: Running, Paused, Completed
channelTypestringFilter by channel type (e.g., WhatsApp, Voice)
dateFromISO 8601Start date for date range filter
dateToISO 8601End date for date range filter
pageintegerPage number (default: 1)
pageSizeintegerItems per page (default: 25, max: 100)

Campaign Object

FieldTypeDescription
idstringUnique campaign identifier
namestringCampaign name
descriptionstringCampaign description
typestringVoiceBot | Flow
statusstringRunning | Paused | Completed
channelTypestringChannel used for the campaign
startDateISO 8601Campaign start date
endDateISO 8601Campaign end date
createdAtISO 8601Timestamp when the campaign was created

Example Requests

List running campaigns:

curl https://api.auralytik.com/v1/campaigns?status=Running&page=1&pageSize=10 \
  -H "Authorization: Bearer YOUR_API_KEY"

Get a specific campaign:

curl https://api.auralytik.com/v1/campaigns/camp_789 \
  -H "Authorization: Bearer YOUR_API_KEY"

Example Response

{
  "data": [
    {
      "id": "camp_789",
      "name": "Q1 Outbound Sales",
      "description": "Outbound sales campaign targeting new leads",
      "type": "VoiceBot",
      "status": "Running",
      "channelType": "Voice",
      "startDate": "2024-01-15T00:00:00Z",
      "endDate": "2024-03-31T23:59:59Z",
      "createdAt": "2024-01-10T09:00:00Z"
    }
  ],
  "page": 1,
  "pageSize": 10,
  "totalCount": 8
}

Campaign management endpoints coming soon

Campaign creation, pause/resume controls, and contact list management APIs are being developed.

Request API Access